//
//  AppDelegate.swift
//  WebAppUIKitBase
//
//  Created by Sean Kim on 10/21/24.
//

import UIKit

import AdSupport
import AppTrackingTransparency

@main
class AppDelegate: UIResponder, UIApplicationDelegate {
    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
        
        
        
        
        
        return true
    }
    
    /// 앱이 Active 로 전환될때 호출 : back -> fore 시 호출
    func applicationDidBecomeActive(_ application: UIApplication) {
        
        DispatchQueue.main.asyncAfter(deadline: .now() + 1) {
            ATTrackingManager.requestTrackingAuthorization(completionHandler: { status in
                switch status {
                case .notDetermined:
                    printLog(status)
                case .restricted:
                    printLog(status)
                case .denied:
                    printLog(status)
                case .authorized:
                    printLog(status)
                }
            })
        }
    }
    
    func application(_ application: UIApplication, didRegisterForRemoteNotificationsWithDeviceToken deviceToken: Data) {
        let tokenParts = deviceToken.map { data in String(format: "%02.2hhx", data) }
        let token = tokenParts.joined()
        printLog("Device Tokens: \(token)")
    }


}

